Bug 468189 - (rear) Review Request: rear - Relax and Recovery (disaster recovery framework)
Review Request: rear - Relax and Recovery (disaster recovery framework)
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-23 10:39 EDT by Gratien D'haese
Modified: 2014-05-27 08:40 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-18 11:52:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
gratien.dhaese: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
Validation output of rear-1.7.15 package (189.71 KB, text/plain)
2009-02-09 08:14 EST, Gratien D'haese
no flags Details
Validation output of rear-1.7.16 package (194.19 KB, text/plain)
2009-03-02 08:32 EST, Gratien D'haese
no flags Details

  None (edit)
Description Gratien D'haese 2008-10-23 10:39:59 EDT
Spec URL: http://home.scarlet.be/gdha/rear.spec
SRPM URL: http://home.scarlet.be/gdha/rear-1.7.7-1.src.rpm
Description: 

Relax and Recover (abbreviated rear) is a highly modular disaster recovery
framework for GNU/Linux based systems, but can be easily extended to other
UNIX alike systems. The disaster recovery information (and maybe the backups)
can be stored via the network, local on hard disks or USB devices, DVD/CD-R,
tape, etc. The result is also a bootable image that is capable of booting via
PXE, DVD/CD and tape (OBDR).

It works out of the box and Fedora and RHEL releases (x86, x86_64 and ia64 tested).
Comment 1 Gratien D'haese 2008-10-23 10:42:02 EDT
Main web-site is http://rear.sourceforge.net
Comment 2 Fabian Affolter 2008-10-24 03:31:44 EDT
Just a few comments on your spec file.

Release: 1

- add %{?dist} -> Release:	1%{?dist}

Source: rear-%{version}.tar.gz

- The source should come from upstream.
  Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
  https://fedoraproject.org/wiki/Packaging/SourceURL

License: GPL

- is GPLv3+
  https://fedoraproject.org/wiki/Packaging/LicensingGuidelines

Packager: Schlomo Schapiro <sschapiro@probusiness.de>, Gratien D'haese <gratien.dhaese@it3.be>

- Packager tag is not used in Fedora

Provides: rear

- This package doesn't provide any virtual packages. I think it's save to remove
  https://fedoraproject.org/wiki/PackageMaintainers/CreatingPackageHowTo#Other_tags

Vendor: probusiness Berlin AG and IT3 Consultants

- Vendor tag is not used in Fedora

%files section

- Please use macros it will be easier to maintain the package in the future
  https://fedoraproject.org/wiki/PackageMaintainers/CreatingPackageHowTo#Macros


Details about the changelog
https://fedoraproject.org/wiki/Packaging/Guidelines#Changelogs

Please check https://fedoraproject.org/wiki/PackageMaintainers/CreatingPackageHowTo or https://fedoraproject.org/wiki/Packaging/Guidelines for further details.
Comment 3 Fabian Affolter 2008-10-24 03:39:18 EDT
If this is your first package, you need to seek a sponsor.

https://fedoraproject.org/wiki/PackageMaintainers/Join
Comment 4 Fabian Affolter 2008-10-24 03:44:30 EDT
Another appendix

In your spec file is 'Version: 1.7.7' but the current stable version is 1.6 (http://sourceforge.net/project/showfiles.php?group_id=171835&package_id=196474) and the development version is 1.7.6 (http://sourceforge.net/project/showfiles.php?group_id=171835&package_id=287824).
Comment 5 manuel wolfshant 2008-10-24 06:54:57 EDT
Ref "Provides: rear", Fabian is right. Please ditch it and let rpmbuild pick whatever it needs to pick. 
It would also be nice if you could respect the template we are using for fedora spec files. Sticking the changelog in the middle of the spec is neither incorrect nor forbidden but it is very unusual.
Comment 6 Gratien D'haese 2008-10-24 07:12:17 EDT
Thank you all for the very useful comments. I'm digging into the docs (sorry I hadn't seen these before) and trying to get it straight. Will use rpmlint to investigate the spec before I uploaded it again.
Comment 7 Gratien D'haese 2008-10-24 08:28:46 EDT
Updated the Blocks field with "FE-NEEDSPONSOR" as I still need a sponsor.

Updated the rear.spec file and rear source rpm: 

Spec URL: http://home.scarlet.be/gdha/rear.spec
SRPM URL: http://home.scarlet.be/gdha/rear-1.7.7-1.fc9.src.rpm

On our development version 1.7.7 has been uploaded to SF:
http://sourceforge.net/project/showfiles.php?group_id=171835&package_id=287824

If there are any other points let me know how I can be of any help.

thanks,
Gratien D'haese
Comment 8 Fabian Affolter 2008-10-25 10:08:53 EDT
Once again.

Source0: http://downloads.sourgeforge.net/%{name}-%{version}.tar.gz

- It's 'sourceforge', just a type...

Release: 1%{?dist}

- After you made any changes, please bump the release.

%changelog -> rpmlint issue
* Thu Oct 24 2008 Gratien D'haese
- rewrote rear.spec for FedoraCore Packaging request
* Tue Aug 28 2006 Schlomo Schapiro
- Initial RPM Release

- https://fedoraproject.org/wiki/Packaging/Guidelines#Changelogs
  Example:
  * Wed Jun 14 2003 Joe Packager <joe at gmail.com> - 1.0-2
  - Added README file (#42).
                                                      ^   ^
                                                      |   |
                                This is the version ---   |
                                This is the release  ------

  BTW, it's only Fedora, we don't use Core anymore.

I'm able to build your package but rpmlint complain about a lot of stuff...

[rpm@laptop024 SRPMS]$ rpmlint -i rear-1.7.7-1.fc9.src.rpm 
rear.src: W: non-standard-group System/Archiving
The value of the Group tag in the package is not valid.  Valid groups are:
"Amusements/Games", "Amusements/Graphics", "Applications/Archiving",
"Applications/Communications", "Applications/Databases",
"Applications/Editors", "Applications/Emulators", "Applications/Engineering",
"Applications/File", "Applications/Internet", "Applications/Multimedia",
"Applications/Productivity", "Applications/Publishing", "Applications/System",
"Applications/Text", "Development/Debug", "Development/Debuggers",
"Development/Languages", "Development/Libraries", "Development/System",
"Development/Tools", "Documentation", "System Environment/Base", "System
Environment/Daemons", "System Environment/Kernel", "System
Environment/Libraries", "System Environment/Shells", "User
Interface/Desktops", "User Interface/X", "User Interface/X Hardware Support".

1 packages and 0 specfiles checked; 0 errors, 1 warnings.

[rpm@laptop024 noarch]$ rpmlint -i rear-1.7.7-1.fc9.noarch.rpm 
rear.noarch: W: non-conffile-in-etc /etc/rear/Linux-ia64.conf
A non-executable file in your package is being installed in /etc, but is not a
configuration file. All non-executable files in /etc should be configuration
files. Mark the file as %config in the spec file.

rear.noarch: E: script-without-shebang /usr/share/rear/lib/cfg2html-linux
This text file has executable bits set or is located in a path dedicated for
executables, but lacks a shebang and cannot thus be executed.  If the file is
meant to be an executable script, add the shebang, otherwise remove the
executable bits or move the file elsewhere.

rear.noarch: W: non-conffile-in-etc /etc/rear/GNU/Linux.conf
A non-executable file in your package is being installed in /etc, but is not a
configuration file. All non-executable files in /etc should be configuration
files. Mark the file as %config in the spec file.

rear.noarch: W: non-conffile-in-etc /etc/rear/templates/EFI_readme.txt
A non-executable file in your package is being installed in /etc, but is not a
configuration file. All non-executable files in /etc should be configuration
files. Mark the file as %config in the spec file.

rear.noarch: E: zero-length /usr/share/doc/rear-1.7.7/DEVELOPMENT
rear.noarch: W: non-conffile-in-etc /etc/rear/templates/RESULT_usage_USB.txt
A non-executable file in your package is being installed in /etc, but is not a
configuration file. All non-executable files in /etc should be configuration
files. Mark the file as %config in the spec file.

rear.noarch: W: dangling-relative-symlink /usr/share/rear/skel/default/bin/sh bash
The relative symbolic link points nowhere.

rear.noarch: W: non-conffile-in-etc /etc/rear/Linux-i386.conf
A non-executable file in your package is being installed in /etc, but is not a
configuration file. All non-executable files in /etc should be configuration
files. Mark the file as %config in the spec file.

rear.noarch: E: zero-length /usr/share/rear/pack/hpasmcliOutput.txt
rear.noarch: E: script-without-shebang /usr/share/rear/verify/TSM/default/40_verify_tsm.sh
This text file has executable bits set or is located in a path dedicated for
executables, but lacks a shebang and cannot thus be executed.  If the file is
meant to be an executable script, add the shebang, otherwise remove the
executable bits or move the file elsewhere.

rear.noarch: W: hidden-file-or-dir /usr/share/rear/skel/default/.bash_history
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

rear.noarch: W: non-conffile-in-etc /etc/rear/templates/USB_syslinux.cfg
A non-executable file in your package is being installed in /etc, but is not a
configuration file. All non-executable files in /etc should be configuration
files. Mark the file as %config in the spec file.

rear.noarch: W: non-conffile-in-etc /etc/rear/Debian/ia64.conf
A non-executable file in your package is being installed in /etc, but is not a
configuration file. All non-executable files in /etc should be configuration
files. Mark the file as %config in the spec file.

rear.noarch: W: non-conffile-in-etc /etc/rear/templates/RESULT_usage_ISO.txt
A non-executable file in your package is being installed in /etc, but is not a
configuration file. All non-executable files in /etc should be configuration
files. Mark the file as %config in the spec file.

rear.noarch: E: zero-length /etc/rear/hpasmcliOutput.txt
rear.noarch: W: non-conffile-in-etc /etc/rear/hpasmcliOutput.txt
A non-executable file in your package is being installed in /etc, but is not a
configuration file. All non-executable files in /etc should be configuration
files. Mark the file as %config in the spec file.

rear.noarch: W: non-conffile-in-etc /etc/rear/Ubuntu/7.10.conf
A non-executable file in your package is being installed in /etc, but is not a
configuration file. All non-executable files in /etc should be configuration
files. Mark the file as %config in the spec file.

rear.noarch: E: zero-length /usr/share/rear/doc/DEVELOPMENT
rear.noarch: W: dangling-relative-symlink /usr/share/rear/skel/default/init bin/init
The relative symbolic link points nowhere.

rear.noarch: W: non-conffile-in-etc /etc/rear/templates/RESULT_usage_PXE.txt
A non-executable file in your package is being installed in /etc, but is not a
configuration file. All non-executable files in /etc should be configuration
files. Mark the file as %config in the spec file.

rear.noarch: W: dangling-relative-symlink /usr/share/doc/rear-1.7.7/README ./usr/share/rear/README
The relative symbolic link points nowhere.

rear.noarch: E: zero-length /usr/share/rear/skel/default/var/log/lastlog
rear.noarch: W: non-conffile-in-etc /etc/rear/Linux-x86_64.conf
A non-executable file in your package is being installed in /etc, but is not a
configuration file. All non-executable files in /etc should be configuration
files. Mark the file as %config in the spec file.

rear.noarch: W: dangling-relative-symlink /usr/share/doc/rear-1.7.7/contrib ./usr/share/rear/contrib
The relative symbolic link points nowhere.

rear.noarch: W: dangling-relative-symlink /usr/share/doc/rear-1.7.7/CHANGES ./usr/share/rear/CHANGES
The relative symbolic link points nowhere.

rear.noarch: E: zero-length /usr/share/rear/dr/hpasmcliOutput.txt
rear.noarch: W: non-conffile-in-etc /etc/rear/default.conf
A non-executable file in your package is being installed in /etc, but is not a
configuration file. All non-executable files in /etc should be configuration
files. Mark the file as %config in the spec file.

rear.noarch: E: script-without-shebang /usr/share/rear/dr/GNU/Linux/95_cfg2html.sh
This text file has executable bits set or is located in a path dedicated for
executables, but lacks a shebang and cannot thus be executed.  If the file is
meant to be an executable script, add the shebang, otherwise remove the
executable bits or move the file elsewhere.

rear.noarch: W: non-conffile-in-etc /etc/rear/validated/SUSE_LINUX/10/i386.txt
A non-executable file in your package is being installed in /etc, but is not a
configuration file. All non-executable files in /etc should be configuration
files. Mark the file as %config in the spec file.

rear.noarch: E: zero-length /usr/share/rear/skel/default/var/lib/nfs/state
rear.noarch: E: script-without-shebang /usr/share/rear/lib/mkrescue-functions.sh
This text file has executable bits set or is located in a path dedicated for
executables, but lacks a shebang and cannot thus be executed.  If the file is
meant to be an executable script, add the shebang, otherwise remove the
executable bits or move the file elsewhere.

rear.noarch: W: non-conffile-in-etc /etc/rear/templates/RESULT_mailbody.txt
A non-executable file in your package is being installed in /etc, but is not a
configuration file. All non-executable files in /etc should be configuration
files. Mark the file as %config in the spec file.

rear.noarch: E: zero-length /usr/share/rear/skel/default/etc/mtab
rear.noarch: W: non-standard-group System/Archiving
The value of the Group tag in the package is not valid.  Valid groups are:
"Amusements/Games", "Amusements/Graphics", "Applications/Archiving",
"Applications/Communications", "Applications/Databases",
"Applications/Editors", "Applications/Emulators", "Applications/Engineering",
"Applications/File", "Applications/Internet", "Applications/Multimedia",
"Applications/Productivity", "Applications/Publishing", "Applications/System",
"Applications/Text", "Development/Debug", "Development/Debuggers",
"Development/Languages", "Development/Libraries", "Development/System",
"Development/Tools", "Documentation", "System Environment/Base", "System
Environment/Daemons", "System Environment/Kernel", "System
Environment/Libraries", "System Environment/Shells", "User
Interface/Desktops", "User Interface/X", "User Interface/X Hardware Support".

rear.noarch: W: incoherent-version-in-changelog D'haese 1.7.7-1.fc9
The last entry in %changelog contains a version identifier that is not
coherent with the epoch:version-release tuple of the package.

1 packages and 0 specfiles checked; 12 errors, 23 warnings.
Comment 9 Gratien D'haese 2008-10-27 07:37:27 EDT
Hi all,
Busy with correcting the rear.spec and some other comments you mentioned above.

I've seeing now:
[makerpm@localhost SPECS]$ rpmlint -i /home/makerpm/rpmbuild/SRPMS/rear-1.7.8-1.fc9.src.rpm 
rear.src: W: strange-permission rear.spec 0600
A file that you listed to include in your package has strange permissions.
Usually, a file should have 0644 permissions.

1 packages and 0 specfiles checked; 0 errors, 1 warnings.


[makerpm@localhost SPECS]$ rpmlint -i /home/makerpm/rpmbuild/RPMS/noarch/rear-1.7.8-1.fc9.noarch.rpm
rear.noarch: W: dangling-relative-symlink /usr/share/doc/rear-1.7.8/contrib ./usr/share/rear/contrib
The relative symbolic link points nowhere.

rear.noarch: W: dangling-relative-symlink /usr/share/rear/skel/default/bin/sh bash
The relative symbolic link points nowhere.

rear.noarch: W: hidden-file-or-dir /usr/share/rear/skel/default/.bash_history
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

rear.noarch: W: dangling-relative-symlink /usr/share/doc/rear-1.7.8/README ./usr/share/rear/README
The relative symbolic link points nowhere.

rear.noarch: W: dangling-relative-symlink /usr/share/doc/rear-1.7.8/CHANGES ./usr/share/rear/CHANGES
The relative symbolic link points nowhere.

rear.noarch: W: dangling-relative-symlink /usr/share/rear/skel/default/init bin/init
The relative symbolic link points nowhere.

rear.noarch: E: zero-length /usr/share/rear/skel/default/var/log/lastlog
rear.noarch: E: zero-length /usr/share/rear/skel/default/var/lib/nfs/state
rear.noarch: E: zero-length /usr/share/rear/skel/default/etc/mtab
1 packages and 0 specfiles checked; 3 errors, 6 warnings.
[makerpm@localhost SPECS]$ rpmlint -i /home/makerpm/rpmbuild/SRPMS/rear-1.7.
Error: no installed packages by name /home/makerpm/rpmbuild/SRPMS/rear-1.7.
0 packages and 0 specfiles checked; 0 errors, 0 warnings.

==> Rear makes usage of relative symbolic links. Is there a way to suppress these warning? Or is it safe to ignore?
==> the zero-length file are necessary when we build a boot image. We can  safely ignore these errors. Is there a way to tell in rear.spec file to say we can ignore "zero length" files?

Would like to avoid submitting a new version which still produces errors during a rpmlint investigation.

thanks,
Gratien
Comment 10 Gratien D'haese 2008-10-29 11:46:20 EDT
Updated the rear.spec file and rear source rpm: 

Spec URL: http://home.scarlet.be/gdha/rear.spec
SRPM URL: http://home.scarlet.be/gdha/rear-1.7.8-1.fc9.src.rpm

Our development version 1.7.8 has been uploaded to SF:
http://sourceforge.net/project/showfiles.php?group_id=171835&package_id=287824

Some additional remarks on the rpmlint output - see further:

$ rpmlint -i RPMS/noarch/rear-1.7.8-1.fc9.noarch.rpm 
rear.noarch: W: dangling-relative-symlink /usr/share/doc/rear-1.7.8/contrib ./usr/share/rear/contrib
The relative symbolic link points nowhere.

rear.noarch: W: dangling-relative-symlink /usr/share/rear/skel/default/bin/sh bash
The relative symbolic link points nowhere.

rear.noarch: W: hidden-file-or-dir /usr/share/rear/skel/default/.bash_history
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

rear.noarch: W: dangling-relative-symlink /usr/share/doc/rear-1.7.8/README ./usr/share/rear/README
The relative symbolic link points nowhere.

rear.noarch: W: dangling-relative-symlink /usr/share/doc/rear-1.7.8/CHANGES ./usr/share/rear/CHANGES
The relative symbolic link points nowhere.

rear.noarch: W: dangling-relative-symlink /usr/share/rear/skel/default/init bin/init
The relative symbolic link points nowhere.

rear.noarch: E: zero-length /usr/share/rear/skel/default/var/log/lastlog
rear.noarch: E: zero-length /usr/share/rear/skel/default/var/lib/nfs/state
rear.noarch: E: zero-length /usr/share/rear/skel/default/etc/mtab
1 packages and 0 specfiles checked; 3 errors, 6 warnings.

Comment 1: The zero-length errors are normal as we need those empty files during the creation of the ROOT file system image of the rescue system. These files are needed once we boot from ReaR.iso to have a sane rescue system.

Comment 2: the relative symbolic link points nowhere errors are normal as these will become meaningful when the package gets installed.

Comment 3: the .bash_history file lives under the /usr/share/rear/skel structure, which gets tar'ed to the final ROOT file system of the rescue environment. So, it is meant to be a hidden file.

I hope this is OK for you?
best regards,
Gratien D'haese
Comment 11 Fabian Affolter 2008-11-10 16:39:04 EST
I really think that the remove of the SuSE releated stuff from the spec file would make it more readable.

- sorry, the right URL is
  Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz

- Your Buildroot don't match the Guidelines
  https://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag

- %defattr(-,root,root) is often %defattr(-,root,root,-) to leave the default directory permissions in place

- Changelog: After every entry a blank line would be nice.  It's definitely easier to read

- License:  Spec file:  GPLv3+
            rear        GPLv2+

- Clean your Buildroot before you start doing stuff there
  rm -rf %{buildroot} or rm -rf $RPM_BUILD_ROOT

- cp -a usr etc $RPM_BUILD_ROOT/
  Please preserve the timestamps https://fedoraproject.org/wiki/Packaging/Guidelines#Timestamps

- Warning during rpm build process
  warning: File listed twice: /etc/rear/Debian/ia64.conf
  warning: File listed twice: /etc/rear/GNU/Linux.conf
  ...
  ...
  only add %config(noreplace) %{_sysconfdir}/rear/ (delete all other lines with %config(noreplace) %{_sysconfdir}/rear/*.*) to add that directory and its contents recursively (beware not tested and not sure about the permissions)
Comment 12 Gratien D'haese 2008-12-02 07:47:19 EST
Hello all,

Spec URL: http://home.scarlet.be/gdha/rear.spec
SRPM URL: http://home.scarlet.be/gdha/rear-1.7.9-1.fc9.src.rpm


sorry for the long delay, but in the meantime most items are fixed. After the build checked using a non-privilege user makerpm the quality of the rpm using rpmlint (and as root used mock too).
There are 2 items I'm apparently not able to fix (most likely I do not know how to fix these).
1/ during the rpmbuild the warnings about file listed twice
2/ rear.spec not in correct permission mode
Both errors pop up with root, under my account and with the special makerpm account, but none of these users have an impact with this (build/install is ok).

[makerpm@localhost SRPMS]$ ls
rear-1.7.9-1.fc9.src.rpm
[makerpm@localhost SRPMS]$ rpm -ivh rear-1.7.9-1.fc9.src.rpm 
   1:rear                   ########################################### [100%]
[makerpm@localhost SRPMS]$ cd ..
[makerpm@localhost rpmbuild]$ ls SOURCES/
rear-1.7.9.tar.gz
[makerpm@localhost rpmbuild]$ rpmbuild -ba SPECS/rear.spec 
Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.23801
...
+ cp -pr CHANGES README doc/readme.txt contrib /var/tmp/rear-1.7.9-1.fc9-root/usr/share/doc/rear-1.7.9
+ exit 0
warning: File listed twice: /etc/rear/Debian/ia64.conf
warning: File listed twice: /etc/rear/GNU/Linux.conf
...

$ rpmlint -i SPECS/rear.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpmlint -i SRPMS/rear-1.7.9-1.fc9.src.rpm 
rear.src: W: strange-permission rear.spec 0600
A file that you listed to include in your package has strange permissions.
Usually, a file should have 0644 permissions.

1 packages and 0 specfiles checked; 0 errors, 1 warnings.

$ rpmlint -i RPMS/noarch/rear-1.7.9-1.fc9.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

# mock -r default rebuild /home/gdha/RPM/SRPMS/rear-1.7.9
==> only "warning: file listed twice" notices as with the rpmbuild phase.
Comment 13 Fabian Affolter 2008-12-13 17:00:28 EST
(In reply to comment #12)
> 1/ during the rpmbuild the warnings about file listed twice

http://rpm.org/max-rpm-snapshot/s1-rpm-inside-files-list-directives.html

> 2/ rear.spec not in correct permission mode

Use chmod to switch the permission before you use rpmbuild locally, then the warning will go away. 

One remark...

- leave contrib in %doc away.  On a RPM based system it's not interesting how to build stuff for a gentoo system.

Did you find a sponsor in the meantime?
Comment 14 Schlomo Schapiro 2008-12-14 10:08:36 EST
Hi,

I am - together with Gratien - the main developer of Relax and Recover.

I am currently trying to find a sponsor, is there anything else missing so far?

A few notes about the issues mentioned above from a ReaR design point of view:

1) ReaR brings along the empty filesystem of a mini linux distribution (no binaries) which is the reason for the empty files and symlinks pointing nowhere. As part of the ReaR process to create the rescue media this empty filesystem is filled in with components from the current linux system to create a functioning mini linux rescue system.

Is there a way to get along with the empty files and dead symlinks?

2) ReaR does not have a -devel package and - by design - always contains the entire distribution. That is why you will also find .deb and gentoo files as part of every ReaR installation so that any user can package his/her (modified) version of ReaR without installing any additional tools. Since ReaR is written entirely in Bash there is no platform or distribution dependency beyond what ReaR is already doing internally.

Of course we could leave these under /usr/share/rear and not copy them to %doc.

Kind regards,
Schlomo
Comment 15 manuel wolfshant 2008-12-15 00:10:05 EST
The problems issued by rpmbuild
  /var/tmp/rear-1.7.9-1.fc9-root/usr/share/doc/rear-1.7.9
  + exit 0
  warning: File listed twice: /etc/rear/Debian/ia64.conf
  warning: File listed twice: /etc/rear/GNU/Linux.conf

means that in your %files section, the above mentioned two files are specified twice. I did not look over the spec, but may times this warning is caused by including once the directory and a second time a specific file.
Comment 16 Gratien D'haese 2008-12-30 09:44:17 EST
Hello all,

Spec URL: http://home.scarlet.be/gdha/rear.spec
SRPM URL: http://home.scarlet.be/gdha/rear-1.7.11-1.fc9.src.rpm

We're finally getting there!

# rpmlint -v -i /home/gdha/RPM/RPMS/noarch/rear-1.7.11-1.fc9.noarch.rpm
rear.noarch: I: checking
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

# mock -r default rebuild /home/gdha/RPM/SRPMS/rear-1.7.11-1.fc9.src.rpm
INFO: mock.py version 0.9.13 starting...
State Changed: init plugins
State Changed: start
INFO: Start(/home/gdha/RPM/SRPMS/rear-1.7.11-1.fc9.src.rpm)  Config(fedora-9-i386)
State Changed: lock buildroot
State Changed: clean
State Changed: init
State Changed: lock buildroot
INFO: enabled root cache
INFO: root cache aged out! cache will be rebuilt
INFO: enabled yum cache
State Changed: cleaning yum metadata
INFO: enabled ccache
State Changed: running yum
State Changed: creating cache
State Changed: setup
State Changed: build
INFO: Done(/home/gdha/RPM/SRPMS/rear-1.7.11-1.fc9.src.rpm) Config(default) 10 minutes 21 seconds
INFO: Results and/or logs in: /var/lib/mock//fedora-9-i386/result

I think the time has arrived to find a sponsor for this project.

Best wishes and a fruitful open source 2009 !!
Gratien D'haese
Comment 17 manuel wolfshant 2008-12-30 15:34:16 EST
Source 0 is not available (http://downloads.sourceforge.net/rear/rear-1.7.11.tar.gz). According to http://sourceforge.net/project/showfiles.php?group_id=171835 the latest stable version is 1.6 and the latest devel is 1.7.9. Time to update the SF page (and maybe freshmeat, too) ?


Source RPM:
rear.src: W: strange-permission rear.spec 0600
=> please chmod 644 the file before doing rpmbuild -bs

The following directories are left unowned:
/etc/rear/ 
/etc/rear/templates/
Comment 18 manuel wolfshant 2008-12-30 15:37:59 EST
Uhm, I see that both /bin/sh and /bin/bash are needed:

[wolfy@wolfy tmp]$ rpm -qp --requires rear-1.7.11-1.fc11.noarch.rpm
/bin/bash
/bin/sh
binutils
config(rear) = 1.7.11-1.fc11
iputils
mingetty
portmap
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1


It's a bit unusual, since /bin/bash is a superset of /bin/sh. Is it really intended to bring in botth or you have just not been constant in using either one or the other in the scripts that you have packaged ?
Comment 19 Gratien D'haese 2009-01-09 07:45:33 EST
Hello all,

Spec URL: http://home.scarlet.be/gdha/rear.spec
SRPM URL: http://home.scarlet.be/gdha/rear-1.7.12-1.fc9.src.rpm
RPM  URL: http://home.scarlet.be/gdha/rear-1.7.12-1.fc9.noarch.rpm

The validation script I wrote to test the RPMs produced the following output:

==============================================================================
==============================================================================
		Make a fresh RPM of Relax and Recover (rear)
		URL: http://rear.sourceforge.net
==============================================================================
==============================================================================

Relax & Recover Version 1.7.12 / 2009-01-09
Creating archive '/tmp/rear-1.7.12.tar.gz OK
Creating RPM packages OK

Wrote: /home/gdha/RPM/RPMS/noarch/rear-1.7.12-1.fc9.noarch.rpm
Wrote: /home/gdha/RPM/SRPMS/rear-1.7.12-1.fc9.src.rpm
Finished in 6 seconds.

==============================================================================
Unpack /home/gdha/RPM/SRPMS/rear-1.7.12-1.fc9.src.rpm
==============================================================================

rear                        ##################################################

==============================================================================
rpmlint -v -i /home/gdha/RPM/RPMS/noarch/rear-1.7.12-1.fc9.noarch.rpm
==============================================================================

rear.noarch: I: checking
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

==============================================================================
rpmlint -v -i /home/gdha/RPM/SRPMS/rear-1.7.12-1.fc9.src.rpm
==============================================================================

rear.src: I: checking
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

==============================================================================
rpmlint -v -i /home/gdha/RPM/SPECS/rear.spec
==============================================================================

0 packages and 1 specfiles checked; 0 errors, 0 warnings.

==============================================================================
rpm -qp --requires /home/gdha/RPM/RPMS/noarch/rear-1.7.12-1.fc9.noarch.rpm
==============================================================================

/bin/bash  
binutils  
config(rear) = 1.7.12-1.fc9
iputils  
mingetty  
portmap  
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1

==============================================================================
rpm -qp --info /home/gdha/RPM/RPMS/noarch/rear-1.7.12-1.fc9.noarch.rpm
==============================================================================

Name        : rear                         Relocations: (not relocatable)
Version     : 1.7.12                            Vendor: (none)
Release     : 1.fc9                         Build Date: Fri 09 Jan 2009 01:02:34 PM CET
Install Date: (not installed)               Build Host: localhost.localdomain
Group       : Applications/Archiving        Source RPM: rear-1.7.12-1.fc9.src.rpm
Size        : 466172                           License: GPLv2+
Signature   : (none)
URL         : http://rear.sourceforge.net
Summary     : Relax and Recover (ReaR) is a Linux Disaster Recovery framework
Description :
Relax and Recover (abbreviated rear) is a highly modular disaster recovery
framework for GNU/Linux based systems, but can be easily extended to other
UNIX alike systems. The disaster recovery information (and maybe the backups)
can be stored via the network, local on hard disks or USB devices, DVD/CD-R,
tape, etc. The result is also a bootable image that is capable of booting via
PXE, DVD/CD and tape (OBDR).

This is work in progress, so some features are not yet implemented.

==============================================================================
rpm -qpd /home/gdha/RPM/RPMS/noarch/rear-1.7.12-1.fc9.noarch.rpm (docfiles)
==============================================================================

/usr/share/doc/rear-1.7.12/CHANGES
/usr/share/doc/rear-1.7.12/README
/usr/share/doc/rear-1.7.12/readme.txt
/usr/share/doc/rear-1.7.12/validated/Fedora/9/i386.txt

==============================================================================
rpm -qpc /home/gdha/RPM/RPMS/noarch/rear-1.7.12-1.fc9.noarch.rpm (configfiles)
==============================================================================

/etc/rear/Debian/ia64.conf
/etc/rear/GNU/Linux.conf
/etc/rear/Linux-i386.conf
/etc/rear/Linux-ia64.conf
/etc/rear/Linux-x86_64.conf
/etc/rear/Ubuntu/7.10.conf
/etc/rear/default.conf
/etc/rear/local.conf
/etc/rear/site.conf
/etc/rear/templates/EFI_readme.txt
/etc/rear/templates/ISO_isolinux.cfg
/etc/rear/templates/PXE_pxelinux.cfg
/etc/rear/templates/RESULT_mailbody.txt
/etc/rear/templates/RESULT_usage_ISO.txt
/etc/rear/templates/RESULT_usage_PXE.txt
/etc/rear/templates/RESULT_usage_USB.txt
/etc/rear/templates/USB_syslinux.cfg

==============================================================================
Build RPM with /tmp/rear-1.7.12.tar.gz
==============================================================================
rpmbuild -ta /tmp/rear-1.7.12.tar.gz

Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.50745
Executing(%build): /bin/sh -e /var/tmp/rpm-tmp.50745
Executing(%install): /bin/sh -e /var/tmp/rpm-tmp.50745
Processing files: rear-1.7.12-1.fc9
Executing(%doc): /bin/sh -e /var/tmp/rpm-tmp.74122
Provides: config(rear) = 1.7.12-1.fc9
Requires(rpmlib): rpmlib(CompressedFileNames) <= 3.0.4-1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
Requires: /bin/bash binutils config(rear) = 1.7.12-1.fc9 iputils mingetty portmap
Checking for unpackaged file(s): /usr/lib/rpm/check-files /var/tmp/rear-1.7.12-1.fc9-root
Wrote: /home/gdha/RPM/SRPMS/rear-1.7.12-1.fc9.src.rpm
Wrote: /home/gdha/RPM/RPMS/noarch/rear-1.7.12-1.fc9.noarch.rpm
Executing(%clean): /bin/sh -e /var/tmp/rpm-tmp.40214


And the mock output of the following command
# mock -r default rebuild /home/gdha/RPM/SRPMS/rear-1.7.12-1.fc9.src.rpm
is
# cat /var/lib/mock//fedora-9-i386/result/build.log 
ENTER do(['bash', '--login', '-c', 'rpmbuild -bs --target i386 --nodeps builddir/build/SPECS/rear.spec'], False, '/var/lib/mock/fedora-9-i386/root/', None, 0, True, 0, 0, 487, None, logger=<mock.trace_decorator.getLog object at 0x994810c>)
Executing command: ['bash', '--login', '-c', 'rpmbuild -bs --target i386 --nodeps builddir/build/SPECS/rear.spec']
Building target platforms: i386
Building for target i386
Wrote: /builddir/build/SRPMS/rear-1.7.12-1.fc9.src.rpm
Child returncode was: 0
LEAVE do --> 

ENTER do(['bash', '--login', '-c', 'rpmbuild -bb --target i386 --nodeps builddir/build/SPECS/rear.spec'], False, '/var/lib/mock/fedora-9-i386/root/', None, 0, True, 0, 0, 487, None, logger=<mock.trace_decorator.getLog object at 0x994810c>)
Executing command: ['bash', '--login', '-c', 'rpmbuild -bb --target i386 --nodeps builddir/build/SPECS/rear.spec']
Building target platforms: i386
Building for target i386
Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.59520
+ umask 022
+ cd /builddir/build/BUILD
+ LANG=C
+ export LANG
+ unset DISPLAY
+ cd /builddir/build/BUILD
+ rm -rf rear-1.7.12
+ /usr/bin/gzip -dc /builddir/build/SOURCES/rear-1.7.12.tar.gz
+ tar -xf -
+ STATUS=0
+ '[' 0 -ne 0 ']'
+ cd rear-1.7.12
++ /usr/bin/id -u
+ '[' 0 = 0 ']'
+ /bin/chown -Rhf root .
++ /usr/bin/id -u
+ '[' 0 = 0 ']'
+ /bin/chgrp -Rhf root .
+ /bin/chmod -Rf a+rX,u+w,g-w,o-w .
+ exit 0
Executing(%build): /bin/sh -e /var/tmp/rpm-tmp.83696
+ umask 022
+ cd /builddir/build/BUILD
+ cd rear-1.7.12
+ LANG=C
+ export LANG
+ unset DISPLAY
+ exit 0
Executing(%install): /bin/sh -e /var/tmp/rpm-tmp.83696
+ umask 022
+ cd /builddir/build/BUILD
+ cd rear-1.7.12
+ LANG=C
+ export LANG
+ unset DISPLAY
+ rm -rf /var/tmp/rear-1.7.12-1.fc9-root
+ mkdir /var/tmp/rear-1.7.12-1.fc9-root
+ cp -ap usr etc /var/tmp/rear-1.7.12-1.fc9-root/
+ /usr/lib/rpm/find-debuginfo.sh /builddir/build/BUILD/rear-1.7.12
+ /usr/lib/rpm/check-buildroot
+ /usr/lib/rpm/redhat/brp-compress
+ /usr/lib/rpm/redhat/brp-strip-static-archive /usr/bin/strip
+ /usr/lib/rpm/redhat/brp-strip-comment-note /usr/bin/strip /usr/bin/objdump
+ /usr/lib/rpm/brp-python-bytecompile
+ /usr/lib/rpm/redhat/brp-python-hardlink
+ /usr/lib/rpm/redhat/brp-java-repack-jars
Processing files: rear-1.7.12-1.fc9
Executing(%doc): /bin/sh -e /var/tmp/rpm-tmp.83299
+ umask 022
+ cd /builddir/build/BUILD
+ cd rear-1.7.12
+ DOCDIR=/var/tmp/rear-1.7.12-1.fc9-root/usr/share/doc/rear-1.7.12
+ export DOCDIR
+ rm -rf /var/tmp/rear-1.7.12-1.fc9-root/usr/share/doc/rear-1.7.12
+ /bin/mkdir -p /var/tmp/rear-1.7.12-1.fc9-root/usr/share/doc/rear-1.7.12
+ cp -pr CHANGES README doc/readme.txt doc/validated /var/tmp/rear-1.7.12-1.fc9-root/usr/share/doc/rear-1.7.12
+ exit 0
Provides:
 config(rear) = 1.7.12-1.fc9
Requires(rpmlib):
 rpmlib(CompressedFileNames) <= 3.0.4-1
 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
Requires:
 /bin/bash
 binutils
 config(rear) = 1.7.12-1.fc9
 iputils
 mingetty
 portmap
Checking for unpackaged file(s): /usr/lib/rpm/check-files /var/tmp/rear-1.7.12-1.fc9-root
Wrote: /builddir/build/RPMS/rear-1.7.12-1.fc9.noarch.rpm
Executing(%clean): /bin/sh -e /var/tmp/rpm-tmp.74870
+ umask 022
+ cd /builddir/build/BUILD
+ cd rear-1.7.12
+ rm -rf /var/tmp/rear-1.7.12-1.fc9-root
+ exit 0
Child returncode was: 0
LEAVE do --> 


Can I now start looking for a sponsor? Or are there some more steps that need to be improved or clarified?

To all a *big* thank you for your patience with me!
best regards,
Gratien D'haese
Comment 20 Gratien D'haese 2009-01-14 05:33:55 EST
Ran the validation script on " 2.6.26.6-79.fc9.x86_64 " type of system with the same results (as on a x86 platform):
# valrear

==============================================================================
==============================================================================
                Make a fresh RPM of Relax and Recover (rear)
                URL: http://rear.sourceforge.net
==============================================================================
==============================================================================

Relax & Recover Version 1.7.12 / 2009-01-09
Creating archive '/tmp/rear-1.7.12.tar.gz' OK
Creating RPM packages  OK                                                                                OK
Wrote: /home/gdha/RPM/RPMS/noarch/rear-1.7.12-1.fc9.noarch.rpm
Wrote: /home/gdha/RPM/SRPMS/rear-1.7.12-1.fc9.src.rpm
Finished in 3 seconds.

==============================================================================
Unpack /home/gdha/RPM/SRPMS/rear-1.7.12-1.fc9.src.rpm
==============================================================================

rear                        ##################################################

==============================================================================
rpmlint -v -i /home/gdha/RPM/RPMS/noarch/rear-1.7.12-1.fc9.noarch.rpm
==============================================================================

rear.noarch: I: checking
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

==============================================================================
rpmlint -v -i /home/gdha/RPM/SRPMS/rear-1.7.12-1.fc9.src.rpm
==============================================================================

rear.src: I: checking
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

==============================================================================
rpmlint -v -i /home/gdha/RPM/SPECS/rear.spec
==============================================================================

0 packages and 1 specfiles checked; 0 errors, 0 warnings.

==============================================================================
rpm -qp --requires /home/gdha/RPM/RPMS/noarch/rear-1.7.12-1.fc9.noarch.rpm
==============================================================================

/bin/bash
binutils
config(rear) = 1.7.12-1.fc9
iputils
mingetty
portmap
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1

==============================================================================
rpm -qp --info /home/gdha/RPM/RPMS/noarch/rear-1.7.12-1.fc9.noarch.rpm
==============================================================================

Name        : rear                         Relocations: (not relocatable)
Version     : 1.7.12                            Vendor: (none)
Release     : 1.fc9                         Build Date: Wed 14 Jan 2009 11:25:28 AM CET
Install Date: (not installed)               Build Host: sloeber
Group       : Applications/Archiving        Source RPM: rear-1.7.12-1.fc9.src.rpm
Size        : 468819                           License: GPLv2+
Signature   : (none)
URL         : http://rear.sourceforge.net
Summary     : Relax and Recover (ReaR) is a Linux Disaster Recovery framework
Description :
Relax and Recover (abbreviated rear) is a highly modular disaster recovery
framework for GNU/Linux based systems, but can be easily extended to other
UNIX alike systems. The disaster recovery information (and maybe the backups)
can be stored via the network, local on hard disks or USB devices, DVD/CD-R,
tape, etc. The result is also a bootable image that is capable of booting via
PXE, DVD/CD and tape (OBDR).

This is work in progress, so some features are not yet implemented.

==============================================================================
rpm -qpd /home/gdha/RPM/RPMS/noarch/rear-1.7.12-1.fc9.noarch.rpm (docfiles)
==============================================================================

/usr/share/doc/rear-1.7.12/CHANGES
/usr/share/doc/rear-1.7.12/README
/usr/share/doc/rear-1.7.12/readme.txt
/usr/share/doc/rear-1.7.12/validated/Fedora/9/i386.txt

==============================================================================
rpm -qpc /home/gdha/RPM/RPMS/noarch/rear-1.7.12-1.fc9.noarch.rpm (configfiles)
==============================================================================

/etc/rear/Debian/ia64.conf
/etc/rear/GNU/Linux.conf
/etc/rear/GNU/Linux.conf.rpmnew
/etc/rear/GNU/Linux.conf.rpmsave
/etc/rear/Linux-i386.conf
/etc/rear/Linux-ia64.conf
/etc/rear/Linux-x86_64.conf
/etc/rear/Ubuntu/7.10.conf
/etc/rear/default.conf
/etc/rear/local.conf
/etc/rear/os.conf
/etc/rear/site.conf
/etc/rear/templates/EFI_readme.txt
/etc/rear/templates/ISO_isolinux.cfg
/etc/rear/templates/PXE_pxelinux.cfg
/etc/rear/templates/RESULT_mailbody.txt
/etc/rear/templates/RESULT_usage_ISO.txt
/etc/rear/templates/RESULT_usage_PXE.txt
/etc/rear/templates/RESULT_usage_USB.txt
/etc/rear/templates/USB_syslinux.cfg

==============================================================================
Build RPM with /tmp/rear-1.7.12.tar.gz
==============================================================================
rpmbuild -ta /tmp/rear-1.7.12.tar.gz

+ umask 022
Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.33872
+ cd /home/gdha/RPM/BUILD
+ LANG=C
+ export LANG
+ unset DISPLAY
+ cd /home/gdha/RPM/BUILD
+ rm -rf rear-1.7.12
+ /usr/bin/gzip -dc /tmp/rear-1.7.12.tar.gz
+ tar -xf -
+ STATUS=0
+ '[' 0 -ne 0 ']'
+ cd rear-1.7.12
++ /usr/bin/id -u
+ '[' 0 = 0 ']'
+ /bin/chown -Rhf root .
++ /usr/bin/id -u
+ '[' 0 = 0 ']'
+ /bin/chgrp -Rhf root .
+ /bin/chmod -Rf a+rX,u+w,g-w,o-w .
+ exit 0
+ umask 022
+ cd /home/gdha/RPM/BUILD
+ cd rear-1.7.12
+ LANG=C
+ export LANG
+ unset DISPLAY
Executing(%build): /bin/sh -e /var/tmp/rpm-tmp.44208
+ exit 0
Executing(%install): /bin/sh -e /var/tmp/rpm-tmp.44208
+ umask 022
+ cd /home/gdha/RPM/BUILD
+ cd rear-1.7.12
+ LANG=C
+ export LANG
+ unset DISPLAY
+ rm -rf /var/tmp/rear-1.7.12-1.fc9-root
+ mkdir /var/tmp/rear-1.7.12-1.fc9-root
+ cp -ap usr etc /var/tmp/rear-1.7.12-1.fc9-root/
+ /usr/lib/rpm/find-debuginfo.sh /home/gdha/RPM/BUILD/rear-1.7.12
+ /usr/lib/rpm/check-buildroot
+ /usr/lib/rpm/redhat/brp-compress
+ /usr/lib/rpm/redhat/brp-strip-static-archive /usr/bin/strip
+ /usr/lib/rpm/redhat/brp-strip-comment-note /usr/bin/strip /usr/bin/objdump
+ /usr/lib/rpm/brp-python-bytecompile
+ /usr/lib/rpm/redhat/brp-python-hardlink
+ /usr/lib/rpm/redhat/brp-java-repack-jars
Processing files: rear-1.7.12-1.fc9
Executing(%doc): /bin/sh -e /var/tmp/rpm-tmp.48527
+ umask 022
+ cd /home/gdha/RPM/BUILD
+ cd rear-1.7.12
+ DOCDIR=/var/tmp/rear-1.7.12-1.fc9-root/usr/share/doc/rear-1.7.12
+ export DOCDIR
+ rm -rf /var/tmp/rear-1.7.12-1.fc9-root/usr/share/doc/rear-1.7.12
+ /bin/mkdir -p /var/tmp/rear-1.7.12-1.fc9-root/usr/share/doc/rear-1.7.12
+ cp -pr CHANGES README doc/readme.txt doc/validated /var/tmp/rear-1.7.12-1.fc9-root/usr/share/doc/rear-1.7.12
+ exit 0
Provides: config(rear) = 1.7.12-1.fc9
Requires(rpmlib): rpmlib(CompressedFileNames) <= 3.0.4-1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
Requires: /bin/bash binutils config(rear) = 1.7.12-1.fc9 iputils mingetty portmap
Checking for unpackaged file(s): /usr/lib/rpm/check-files /var/tmp/rear-1.7.12-1.fc9-root
Wrote: /home/gdha/RPM/SRPMS/rear-1.7.12-1.fc9.src.rpm
Wrote: /home/gdha/RPM/RPMS/noarch/rear-1.7.12-1.fc9.noarch.rpm
Executing(%clean): /bin/sh -e /var/tmp/rpm-tmp.15262
+ umask 022
+ cd /home/gdha/RPM/BUILD
+ cd rear-1.7.12
+ rm -rf /var/tmp/rear-1.7.12-1.fc9-root
+ exit 0
************************************************************
        Log-file is saved as : /tmp/valrear.txt
************************************************************

Are there more tests I can execute?
best regards,
Gratien
Comment 21 Gratien D'haese 2009-02-09 08:14:21 EST
Created attachment 331310 [details]
Validation output of rear-1.7.15 package

wrote a script to automate the validation process of a rear package. In this way we're using a consistent way of testing any updates on the package.
Comment 22 Gratien D'haese 2009-02-09 08:24:16 EST
NEXT ACTIONS:
============
1/ still need a full review of the package by an approved package maintainer
2/ still need to find a sponsor for myself (see next message to candidate sponsors)

Message to (candidate) sponsors:
================================
We have been involved with the following bug reports:
* Full reviews made for:
187318 	Fedora 	Package Review 	NEW 	medium 	Review Request: mondo
473835 	Fedora 	Package Review 	NEW 	medium 	Review Request: autoarchive - Simple backup tool
480851 	Fedora 	Package Review 	NEW 	medium 	Review Request: ccrypt - Secure encryption and decryption of files and streams
* Involved with comments for:
463035 	Fedora 	Package Review 	NEW 	medium 	Review Request: pyroman - Very fast firewall configuration tool
473184 	Fedora 	Package Review 	NEW 	medium 	Review Request: clamz - Amazon Downloader 	 
474802 	Fedora 	Package Review 	NEW 	medium 	Review Request: vacation - Automatic mail answering program

New release of Relax and Recover (rear) is available:
====================================================
 
Spec URL: http://home.scarlet.be/gdha/rear.spec
SRPM URL: http://home.scarlet.be/gdha/rear-1.7.15-1.fc9.src.rpm
RPM  URL: http://home.scarlet.be/gdha/rear-1.7.15-1.fc9.noarch.rpm

b2d1bb5591884dbd39565af24f1287c9  rear-1.7.15-1.fc9.src.rpm

SourceForge pages of development version 1.7.15:
https://sourceforge.net/project/showfiles.php?group_id=171835&package_id=287824&release_id=659729

I do not want to overload the bug report. therefore, I added the validation output as an attachment to the report.

Thanks,
Gratien
Comment 23 Robert Scheck 2009-02-12 15:25:57 EST
I don't know rear, but when looking to the package, I've got a few points:

- /usr/share/rear/CHANGES, /usr/share/rear/COPYING, /usr/share/rear/README,
  you're shipping twice. Kill the files in /usr/share/rear, because one time
  using %doc is enough.
- Why is /etc/rear/templates/EFI_readme.txt marked as configuration file? Is
  it a configuration file? Either it's a readme or it is a configuration file;
  but if it's readme, it should go into %doc from my point of view.
- What's /etc/rear/templates/RESULT_*? Looks like readmes as well, yes/no?
- /usr/share/doc/rear-1.7.15/rear.8 is shipped already in %{_mandir}, so please
  not also in %doc, twice is too much.
- /usr/share/rear/doc contains stuff, which is already covered by %doc and/or
  %{_mandir}, so please do not ship the directory at the RPM package.
- Is /usr/share/rear meant to be readonly? /usr/share/rear/skel looks to me as
  it would be used read-writeable as well.
- I'm not sure, whether /var/rear is correct, what will this directory contain
  when it is in regular use?
- You maybe want to use "BuildArch" rather "BuildArchitectures", but that is
  just cosmetic.
- Do you really need binutils as during runtime? Just wondering...

I don't expect you to change all my stuff mentioned above, various has maybe
to get discussed first. Can somebody summarize how /usr/share/rear is used and
which meaning it has? No changing content during rear usage?

Maybe more will come up, that's what I discovered with the first run...
Comment 24 Schlomo Schapiro 2009-02-12 16:29:58 EST
Hi,

I can shed some light on these questions. 

- ReaR comes as a self-contained package without any dedicated source distribution. This means that every ReaR installation contains everything needed to make a new package (e.g. "rear mkrpm"). This is very important for the ReaR development process which requires the developer to *trash* the development machine for each and every test. So we simply edit the files, do rear mkrpm, copy aside the RPM and try whether ReaR works (e.g. recovers the system). As a result some files exist twice, once in their "source" location under /usr/share/rear and once in their "installed" location (%doc, %mandir). Since the locations for these are not the same throughout all Linux distros it would be difficult to always collect them from their (possibly unknown) installed location prior to creating the RPM.

- the files under /etc/rear are all files that the end-user should change to suit their environment. The *.conf files are actual configurations and the other files are templates that are used by ReaR to create for example the readme file that resides on the ReaR Rescue CD or the email that is sent. So yes, they look like a readme and they are in fact a readme but not for ReaR as a package but for the result that ReaR creates (the rescue media).

- in /var/rear we create the recovery data which is machine-dependant and obviously not part of the shipped RPM package

- /usr/share/rear should be 755, must be a copy bug somewhere or in the SPEC file. We will fix this of course, no question.

HTH,
Schlomo
Comment 25 Gratien D'haese 2009-02-13 10:58:46 EST
Hi all,
thank you (Robert) for taking a closer look into rear - much appreciated - the goal is indeed to make the software cleaner (and better).

As Schlomo (in #24) already mentioned the doc files are kept double for the simple reason that it is very easy to make a new 'in-house' rpm for example (with the command 'rear mkrpm'). However, if we must exclude them, we can of course. In that case the customers who want to build their own in-house rpms should work with a tar-ball of rear instead. Less convenient I think, but not impossible.
We could also provide SVN/CVS to accomplish this.
What does fedora recommend?

In the rpmls output all directories have mode 755. I think Robert question was to check if the /usr/share/rear directory was meant to be in read-only mode. The short answer is yes. During a normal run (mkrescue/mkbackup workflow) rear will not write nor modify anything under /usr/share/rear. We have /var/rear which will be used to create the recovery information under.

Do not hesitate to ask if you need more clarification. We're happy to answer and to comply as much as possible to fedora's rules.

best regards,
Gratien
Comment 26 Robert Scheck 2009-02-13 16:39:21 EST
Right, I just wanted to make sure, that /usr/share/rear usually doesn't get
touched at all and dynamic stuff ends in /var or the config stuff in /etc.

I didn't get the SVN/CVS suggestion.

I think, the "rear mkrpm" thing can easily solved with some RPM macros inside
of the spec file which do just the right thing, if it is executed on Fedora
and/or RHEL. Would that be acceptable for you? E.g.

%if 0%{?fedora}%{?rhel}
rm -f unwanted-file-at-fedora
%endif

Or

%if 0%{?fedora}%{?rhel}
# Fedora specific stuff
%else
# Other distribution stuff
%endif

If that's okay, I would try to provide you a working example. Hopefully I got
your point correct, but I think so. Just let me know...
Comment 27 Andreas Thienemann 2009-02-13 17:38:09 EST
Hello  Gratien,

Robert was kind enough to ask me whether I'd be willing to sponsor this.

A cursory glance at the spec looks good, but please add some linebreaks and \ to the long lines in the %install part of the .spec file.
This makes things much easier to read.

The review looks okay so far, seems the .spec has come a long way. :)

As soon as Robert indicates he's finished I'll do a final test of the software and recheck the review. After that, I'd be happy to sponsor you.

That okay with you?
Comment 28 Gratien D'haese 2009-02-16 04:17:05 EST
Hi Robert and Andreas,
Thank you (again) for being so helpful.

Robert,
Yes, you may send me an example of the if clause as you talked about in c#26. That would be very helpful as a starter.

Andreas,
That sounds fine to me! Thanks.

About SVN I meant that we probably will upload our sources into SVN very soon so it would become easier for us (and other developers) to sync with the latest updates.

Please give me a few days (I have a very, very busy week with making a presentation and a deadline of sub-project) to discuss this over with my friend Schlomo and to prepare rear for the latest suggestions.

Rgds, Gratien
Comment 29 Gratien D'haese 2009-03-02 08:32:21 EST
Created attachment 333734 [details]
Validation output of rear-1.7.16 package
Comment 30 Gratien D'haese 2009-03-02 09:14:24 EST
New development release of Relax and Recover (rear) is available:
================================================================
Development release 1.7.16.

What happened in the meantime?
1/ rear has been uploaded into the SVN area of SourceForge:
http://rear.svn.sourceforge.net/viewvc/rear/

2/ the doc files are not twice available anymore in the RPMs.

3/ made the spec a bit cleaner (readable)

4/ uploaded the latest files to the URLs mentioned below and also to the SourceForge file section of 1.7.16: 

Spec URL: http://home.scarlet.be/gdha/rear.spec
SRPM URL: http://home.scarlet.be/gdha/rear-1.7.16-1.fc9.src.rpm
RPM  URL: http://home.scarlet.be/gdha/rear-1.7.16-1.fc9.noarch.rpm

f708a6f84862466d857bf0352cc95b58  rear.spec
60c84ba4d0653dc329a02dd43da1bbdc  rear-1.7.16-1.fc9.noarch.rpm
b6e9630048003b10419031d41d9c963d  rear-1.7.16-1.fc9.src.rpm
7704f5818a6c858dc36271fe00b253dd  rear-1.7.16.tar.gz

SourceForge pages of development version 1.7.16:
https://sourceforge.net/project/showfiles.php?group_id=171835&package_id=287824&release_id=665214

5/ I've added the validation output of rear-1.7.16 rpmbuilds as an attachment to the report (see previous comment #29; sorry should had attached it with this comment).

If there are any questions please let me know what we can do to help you?

Thanks,
Gratien
Comment 31 Mamoru TASAKA 2009-03-12 12:56:28 EDT
Some remarks and questions

* Shipping "rear.8" as %doc is really confusing for this
  package
  - because the installed rear.8.gz man file (modified by
    sed command) _differs_ (i.e. is saying something different)
    sfrom the original rear.8 installed as %doc.
  Please remove "rear.8" from %doc

* The installed man files are actually gzipped by rpmbuild
  itself. Please leave stripping man files to rpmbuild and
  don't strip by yourself.

? It seems that this package installs somefiles which are
  related to the distributions different from Fedora
  (like /usr/share/rear/build/"Debian" or so).
  Would you explain why these files are needed?

? Would you check if your rpm work on 64 bits architecture?

  For example, this package contains /usr/share/rear/skel/default/lib64
  but does not have /usr/share/rear/skel/default/usr/lib64 .
  Is this as expected?
Comment 32 Gratien D'haese 2009-03-18 08:28:16 EDT
New development release of Relax and Recover (rear) is available:
================================================================
Development release 1.7.19

uploaded the latest files to the URLs mentioned below and also to the
SourceForge file section of 1.7.19: 

Spec URL: http://home.scarlet.be/gdha/rear.spec
SRPM URL: http://home.scarlet.be/gdha/rear-1.7.19-1.fc10.src.rpm
RPM  URL: http://home.scarlet.be/gdha/rear-1.7.19-1.fc10.noarch.rpm

md5sums:
18e78dc738085c9fae3165898024e92d  rear-1.7.19.tar.gz
f744c1922a0beca391b54b4800556874  rear-1.7.19-1.fc10.noarch.rpm
9fd390b7fe6adb81a8b3d083baf03985  rear-1.7.19-1.fc10.src.rpm
6e4e83ca3e6f721f3b038837aefe6c81  rear.spec

SourceForge pages of development version 1.7.19:
https://sourceforge.net/project/showfiles.php?group_id=171835&package_id=287824&release_id=669144

What changed in between?
- man page removed from doc section

- rpmbuild gzips the man page itself - thanks I wasn't aware of this feature.

- updated the rear.spec file - made it better readable

- the non-fedora directories under /usr/share/rear/build are related to the internals of rear itself as it is disaster recovery framework that supports Fedora, RHEL, SUSE, OpenSUSE, Ubuntu, Gentoo, and so on. Please notice that there are also directories containing scripts to integrate with other (commercial) backups solutions such as TSM, Data Protector or NetBackup. 
We prefer to keep that at least intact with other distributions. Otherwise, we may come into conflicting situations that a fedora rpm doesn't work on RHEL for example. If you need more information on how rear works internally I would recommend to check out the concept guide (part of the doc section).

- we have tested rear on 64-bit platforms (AMD, IA64) and the lib64 stuff you find under the skel directory are necessary (empty) directories where rear (in rescue mode) will copy files into (in the build area created for that purpose). All other necessary items (files, libraries) will be copied automatically by the rear mkrescue process. We have tested on fedora10 too.

best regards - Gratien
Comment 33 Mamoru TASAKA 2009-03-19 12:39:14 EDT
(In reply to comment #32)
> - we have tested rear on 64-bit platforms (AMD, IA64) and the lib64 stuff you
> find under the skel directory are necessary (empty) directories where rear (in
> rescue mode) will copy files into (in the build area created for that purpose).
> All other necessary items (files, libraries) will be copied automatically by
> the rear mkrescue process. We have tested on fedora10 too.

- What I meant by the previous comment is that it looks strange
  that there is /usr/share/rear/skel/default/lib64 directory but
  /usr/share/rear/skel/default/usr/lib64 does not exist in
  this package, for example.

Assigning to myself.
Comment 34 Gratien D'haese 2009-03-28 09:54:12 EDT
(In reply to comment #33)
> 
> - What I meant by the previous comment is that it looks strange
>   that there is /usr/share/rear/skel/default/lib64 directory but
>   /usr/share/rear/skel/default/usr/lib64 does not exist in
>   this package, for example.
> 
I did an experiment with FC9 on a x86_64 platform:
- ran 'rear mkrescue' of rear-1.7.19 without modification and 
- once with creating an empty directory under skel/usr/lib64 and ran 'rear mkrescue' again

Boot initrd were extracted in a temporary directory to compare the file structure:
[root@sloeber lib64]# ls -l /tmp/rootfs/usr
total 4
lrwxrwxrwx 1 root root    6 2009-03-28 12:49 bin -> ../bin
lrwxrwxrwx 1 root root    6 2009-03-28 12:49 lib -> ../lib
lrwxrwxrwx 1 root root    3 2009-03-28 12:49 sbin -> bin
drwxr-xr-x 4 root root 4096 2009-03-28 12:49 share
[root@sloeber lib64]# ls -l /tmp/rootfs_2/usr
total 8
lrwxrwxrwx 1 root root    6 2009-03-28 14:41 bin -> ../bin
lrwxrwxrwx 1 root root    6 2009-03-28 14:41 lib -> ../lib
drwxr-xr-x 2 root root 4096 2009-03-28 14:41 lib64
lrwxrwxrwx 1 root root    3 2009-03-28 14:41 sbin -> bin
drwxr-xr-x 4 root root 4096 2009-03-28 14:41 share
[root@sloeber lib64]# ls -l /tmp/rootfs_2/usr/lib64/

The /usr/lib64 directory remains empty. If you wish we could make a symlink to ../../lib64?
Did a boot test with the first iso image, which went fine.
Comment 35 Schlomo Schapiro 2009-03-28 15:19:14 EDT
Everybody who takes a closer look at the ReaR rescue system should keep in mind that we do not build a FHS compliant system but rather copy all binaries to /bin, all libraries to /lib (and /lib64 if appropriate) and some stuff to /usr/share (like termcap etc.).

We only keep lib and lib64 apart but do not support lib32 and bin32 or bin64 directories.

Therefore the directories under /usr (like bin,lib etc.) are only symlinks because some programs expect their binaries there.

Adding some more symlinks is not a problem, we have a script for that.
Comment 36 Mamoru TASAKA 2009-03-29 10:02:21 EDT
Okay, then I will leave lib64 issue as this is.
Then, to Gratien:

-------------------------------------------------------------
NOTE: Before being sponsored:

This package will be accepted with another few (or no) work. 
But before I accept this package, someone (I am a candidate) 
must sponsor you.

Once you are sponsored, you have the right to review other 
submitters' review requests and approve the packages formally. 
For this reason, the person who want to be sponsored (like you) 
are required to "show that you have an understanding 
of the process and of the packaging guidelines" as is described
on :
http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored

Usually there are two ways to show this.
A. submit other review requests with enough quality.
B. Do a "pre-review" of other person's review request
   (at the time you are not sponsored, you cannot do
   a formal review)

When you have submitted a new review request or have pre-reviewed other 
person's review request, please write the bug number on this bug report 
so that I can check your comments or review request.

Fedora package collection review requests which are waiting for someone to
review can be checked on my wiki page:
http://fedoraproject.org/wiki/User:Mtasaka#B._Review_request_tickets
(Check "No one is reviewing")

Review guidelines are described mainly on:
http://fedoraproject.org/wiki/Packaging/ReviewGuidelines
http://fedoraproject.org/wiki/Packaging/Guidelines
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets
------------------------------------------------------------
Comment 37 Gratien D'haese 2009-03-30 14:00:50 EDT
I've been involved with the following bug reports:

* Full reviews made for:
187318  Fedora  Package Review  NEW  medium  Review Request: mondo
473835  Fedora  Package Review  NEW  medium  Review Request: autoarchive - Simple backup tool
480851  Fedora  Package Review  NEW  medium  Review Request: ccrypt - Secure encryption and decryption of files and streams

* Involved with comments for:
463035  Fedora  Package Review  NEW  medium  Review Request: pyroman - Very fast firewall configuration tool
473184  Fedora  Package Review  NEW  medium  Review Request: clamz - Amazon Downloader   
474802  Fedora  Package Review  NEW  medium  Review Request: vacation - Automatic mail answering program
491430 Fedora  Package Review  NEW  medium  Review Request: sslogger - A keystroke logging utility for privileged user escalation

If you need more info, do not hesitate to ask. Thanks. Gratien
Comment 38 Mamoru TASAKA 2009-03-30 14:50:18 EDT
Well, I checked your commitment very quickly and they seem
acceptable.

------------------------------------------------------------
  This package (rear) is APPROVED by mtasaka
------------------------------------------------------------

Please follow the procedure written on:
http://fedoraproject.org/wiki/PackageMaintainers/Join
from "Get a Fedora Account". I found a account on FAS
(Fedora Account System) which is perhaps yours, however the
mail account used on FAS differs from what you are using on
RH bugzilla, they must coincide.
Please fix either of the e-mail address, then I will sponsor
you.

If you want to import this package into Fedora 9/10, you also have
to look at
http://fedoraproject.org/wiki/Infrastructure/UpdatesSystem/Bodhi-info-DRAFT
(after once you rebuilt this package on koji Fedora rebuilding system).

If you have questions, please ask me.
Comment 39 Gratien D'haese 2009-03-30 15:07:47 EDT
Great - thanks. I'll fix my mail account with fedora to become the same as FAS.
Keep you informed when that is done.
I'll read the docs first and if I'm stuck somewhere I'll let you know.
Comment 40 Gratien D'haese 2009-03-31 07:51:26 EDT
One e-mail address is now in use: gratien.dhaese@gmail.com
My account on FAS is 'gdha'

I do have one question concerning our %{_localstatedir}/rear directory (points now to /var/rear), but according http://www.pathname.com/fhs/2.2/fhs-5.8.html it should point to /var/lib/rear. Isn't it better to change this so we're compliant with FHS 2.2?
Comment 41 Mamoru TASAKA 2009-03-31 11:33:25 EDT
Okay, now I am sponsoring you.
Please follow "Join" wiki again.

(In reply to comment #40)
> Isn't it better to change this so we're
> compliant with FHS 2.2?  

Actually we should use %_localstatedir/lib .
Comment 42 Gratien D'haese 2009-04-02 10:39:10 EDT
Note to myself before requesting CVS access:
Spec URL: http://home.scarlet.be/gdha/rear.spec
SRPM URL: http://home.scarlet.be/gdha/rear-1.7.20-1.fc10.src.rpm
RPM  URL: http://home.scarlet.be/gdha/rear-1.7.20-1.fc10.noarch.rpm
Comment 43 Mamoru TASAKA 2009-04-04 12:47:53 EDT
Well, would you write CVS request?
Comment 44 Gratien D'haese 2009-04-05 15:30:45 EDT
New Package CVS Package
=======================
Package Name: rear
Short Description: Relax and Recover (ReaR) is a Linux Disaster Recovery framework
Owners: gdha
Branches: F-10 F-11 EL-5
InitialCC: gdha
Comment 45 Gratien D'haese 2009-04-08 05:42:06 EDT
Sorry, used the wrong title (if some script searches this then it wouldn't catch it, right?)

New Package CVS Request
=======================
Package Name: rear
Short Description: Relax and Recover (ReaR) is a Linux Disaster Recovery
framework
Owners: gdha
Branches: F-10 F-11 EL-5
InitialCC: gdha
Comment 46 Mamoru TASAKA 2009-04-08 06:52:52 EDT
Please set fedora-cvs flag to ? for CVS Request
(the reason I don't do this for you is that I want to check if
 you can actually change fedora-cvs flag without error)
Comment 47 Gratien D'haese 2009-04-08 07:03:07 EDT
Oh dear - missed that one indeed - fedora-cvs has been set to ? now
Comment 48 Kevin Fenzi 2009-04-09 17:05:26 EDT
cvs done.
Comment 49 Mamoru TASAKA 2009-04-12 12:34:56 EDT
For F-10, please visit bodhi and submit request to push the
rebuild package into repositories:

https://admin.fedoraproject.org/updates/
Comment 50 Mamoru TASAKA 2009-04-18 11:52:55 EDT
Closing.
Comment 51 Gratien D'haese 2011-11-22 09:55:59 EST
Package Change Request
======================
Package Name: rear
New Branches: el4 el5 el6 f15 f16
Owners: gdha
Comment 52 Gwyn Ciesla 2011-11-22 11:02:16 EST
Git done (by process-git-requests).
Comment 53 Gratien D'haese 2013-02-19 09:59:22 EST
Package Change Request
======================
Package Name: rear
New Branches: el4 el5 el6 f16 f17 f18 f19
Owners: gdha
Comment 54 Gwyn Ciesla 2013-02-19 13:38:22 EST
No valid branches requested that don't already exist.
Comment 55 Gratien D'haese 2013-07-15 02:59:14 EDT
Package Change Request
======================
Package Name: rear
New Branches: f19 f20
Owners: gdha

Missing f19 (and f20) to build -

$ fedpkg switch-branch
Locals:
  el4
  el5
  el6
  f12
  f13
  f14
  f15
  f17
* f18
  master
  origin/f16
Remotes:
  origin/el4
  origin/el5
  origin/el6
  origin/f10
  origin/f11
  origin/f12
  origin/f13
  origin/f14
  origin/f15
  origin/f16
  origin/f17
  origin/f18
  origin/master
Comment 56 Gratien D'haese 2013-07-15 03:13:03 EDT
$ git pull
Enter passphrase for key '/home/gdha/.ssh/id_rsa_fedora':
From ssh://pkgs.fedoraproject.org/rear
 * [new branch]      f19        -> origin/f19
Already up-to-date.

sorry.
Comment 57 Gratien D'haese 2014-05-26 08:41:45 EDT
Package Change Request
======================
Package Name: rear
New Branches: el7 
Owners: gdha
Comment 58 Robert Scheck 2014-05-26 08:44:30 EDT
Gratien, shouldn't that be fedora-cvs rather fedora-review?
Comment 59 Gratien D'haese 2014-05-26 08:47:52 EDT
Used the wrong flag 'fedora-review'. I meant 'fedora-cvs' - thanks Robert!
Comment 60 Gwyn Ciesla 2014-05-27 08:40:20 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.